﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub HP 54540 Series (1 yr) VER IEEE /9500+1Hd,DMM
DATE:                  2017-03-29 12:13:13
AUTHOR:                Fluke
REVISION:              $Revision: 19020 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       274
CONFIGURATION:         Datron 9500 (S6)
CONFIGURATION:         Datron 9510 on channel 1
CONFIGURATION:         Digital Multimeter
=============================================================================
#
#  Procedure Author:  ZY
#
#  Model(s) Covered:  54540A, 54542A, 54540C, 54542C
#
#  Source(s):         HP 54520 and 54540 Series Oscilloscopes Service Guide,
#                     Part No. 54542-97011, 2nd Edition, November 1993
#
#                     HP 54520C and 54540C Series Oscilloscopes Service Guide,
#                     Part No. 54542-97044, 1st Edition, October 1995
#
#  Compatibility:     MET/CAL 7.20 SP1 (7.20x) or later
#
#  Additional Equipment Required:
#                     BNC tee, (f)-(f)-(f)
#                     2 ea., 1 m BNC patch cables
#                     Formatted, blank floppy disk
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# The following statement are included to force the main procedure header
# to represent the configuration required by the subprocedures.
  1.001  IF           0
  1.002  9500         500MH                        1Vpp           LS    N
  1.003  IEEE         [@DMM]
  1.004  ENDIF

  1.005  ASK-   R   Q N              P                            A        V
# ASK+ K is required for measurement uncertainty.
  1.006  ASK+           K

  1.007  MATH         @ReqMetCalVersion = "7.20x"
  1.008  CALL         Sub MET/CAL Version Check

  1.009  IF           NOT(@MetCalVersionOK)
  1.010  DISP         This procedure requires MET/CAL 7.20 SP1 (7.20x) or
  1.010  DISP         later.
  1.011  END
  1.012  ENDIF

  1.013  CALL         Sub Display Copyright
  1.014  CALL         Sub High Voltage Safety Warning
  1.015  CALL         Sub Select Failed Test Mode
  1.016  CALL         Sub Select Verification Method (No NTHROW)

  1.017  HEAD         PRELIMINARY INSTRUCTIONS
  1.018  DISP         Ensure a minimum UUT warm-up time of at least
  1.018  DISP         30 minutes has been allowed to elapse, prior
  1.018  DISP         to beginning verification.

  1.019  HEAD         EQUIPMENT REQUIREMENTS
  1.020  OPBR         -z Do you want to REVIEW the list of additional
  1.020  OPBR         equipment and/or accessories required?

  1.021  IF           MEM1
# Description of additional test equipment required to run this procedure.
  1.022  DISP         The following additional equipment and/or
  1.022  DISP         accessories are required:
  1.022  DISP
  1.022  DISP         - BNC tee, (f)-(f)-(f)
  1.022  DISP         - Cable assy, BNC (m)-(m), 1 m, 2 ea.
  1.022  DISP         - Formatted, blank floppy disk
  1.023  ENDIF

  1.024  HEAD         INITIAL SETUP
  1.025  DISP         Connect the UUT to IEEE-488 port 1 and turn it on.

  1.026  IEEE         *RST

  1.027  MATH         @UUT_Manufacturer = "Hewlett-Packard"
  1.028  MATH         @UUT_AssetNum     = UUT()

  1.029  IF           NOT(EMPTY(@UUT_AssetNum))
  1.030  MATH         @UUT_SerialNum = SN(@UUT_AssetNum)
  1.031  ENDIF

  1.032  CALL         Sub IEEE-488.2 Identification Query IEEE
  1.033  CALL         Sub IEEE-488.2 Identification Query Check Response

  1.034  IF           @Abort
  1.035  END
  1.036  ENDIF

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to
# minimize connection changes during execution. Test results, however,
# are reported in test number sequence.
#
# Order  Results                            Run Time (Execution)
#  -----  -------------------------------    --------------------------------
#    1.   SELF TEST                          SELF TEST
#    2.   DC CALIBRATOR                      DC CALIBRATOR
#    3.   INPUT RESISTANCE (CH1)             INPUT RESISTANCE (CH1)
#    4.   INPUT RESISTANCE (CH2)             DCV MEASUREMENT ACC (CH1)
#    5.   INPUT RESISTANCE (CH3)             DC OFFSET (CH1)
#    6.   INPUT RESISTANCE (CH4)             ANALOG BANDWIDH (CH1)
#    7.   DCV MEASUREMENT ACC (CH1)          TIMEBASE (CH1)
#    8.   DCV MEASUREMENT ACC (CH2)          TRIGGER SENS (CH1)
#    9.   DCV MEASUREMENT ACC (CH3)          AUXILIARY TRIGGER
#   10.   DCV MEASUREMENT ACC (CH4)          INPUT RESISTANCE (CH2)
#   11.   DC OFFSET (CH1)                    DCV MEASUREMENT ACC (CH2)
#   12.   DC OFFSET (CH2)                    DC OFFSET (CH2)
#   13.   DC OFFSET (CH3)                    ANALOG BANDWIDH (CH2)
#   14.   DC OFFSET (CH4)                    TRIGGER SENS (CH2)
#   15.   ANALOG BANDWIDTH (CH1)             INPUT RESISTANCE (CH3)
#   16.   ANALOG BANDWIDTH (CH2)             DCV MEASUREMENT ACC (CH3)
#   17.   ANALOG BANDWIDTH (CH3)             DC OFFSET (CH3)
#   18.   ANALOG BANDWIDTH (CH4)             ANALOG BANDWIDH (CH3)
#   19.   TIMEBASE (CH1)                     TRIGGER SENS (CH3)
#   20.   TRIGGER SENS (CH1)                 INPUT RESISTANCE (CH4)
#   21.   TRIGGER SENS (CH2)                 DCV MEASUREMENT ACC (CH4)
#   22.   TRIGGER SENS (CH3)                 DC OFFSET (CH4)
#   23.   TRIGGER SENS (CH4)                 ANALOG BANDWIDH (CH4)
#   24.   AUXILIARY TRIGGER                  TRIGGER SENS (CH4)

  1.037  MATH         @MulSource = 0; @4ChUUT = 1
  1.038  CALL         Sub HP 545xx Self-test IEEE
  1.039  JMPL         END                 @Abort

  1.040  CALL         Sub HP 545xx (1 yr) DC Calibrator IEEE /DMM

  1.041  LABEL        CHANNEL_1_INPUT_RESISTANCE
  1.042  MATH         @Chan = 1
  1.043  PIC          hp5452_ch1_9500
  1.044  CALL         Sub HP 545xx (1 yr) Input Res. IEEE /9500
  1.045  JMPL         CHANNEL_1_DC_VOLTAGE

  1.046  LABEL        CHANNEL_2_INPUT_RESISTANCE
  1.047  MATH         @Chan = 2
  1.048  PIC          hp5452_ch2_9500
  1.049  CALL         Sub HP 545xx (1 yr) Input Res. IEEE /9500
  1.050  JMPL         CHANNEL_2_DC_VOLTAGE

  1.051  LABEL        CHANNEL_3_INPUT_RESISTANCE
  1.052  MATH         @Chan = 3
  1.053  PIC          hp5452_ch3_9500
  1.054  CALL         Sub HP 545xx (1 yr) Input Res. IEEE /9500
  1.055  JMPL         CHANNEL_3_DC_VOLTAGE

  1.056  LABEL        CHANNEL_4_INPUT_RESISTANCE
  1.057  PIC          hp5452_ch4_9500
  1.058  MATH         @Chan = 4
  1.059  CALL         Sub HP 545xx (1 yr) Input Res. IEEE /9500
  1.060  JMPL         CHANNEL_4_DC_VOLTAGE

  1.061  LABEL        CHANNEL_1_DC_VOLTAGE
  1.062  MATH         @Chan = 1
  1.063  CALL         Sub HP 545xx (1 yr) DCV IEEE /9500
  1.064  JMPL         CHANNEL_1_DC_OFFSET

  1.065  LABEL        CHANNEL_2_DC_VOLTAGE
  1.066  MATH         @Chan = 2
  1.067  CALL         Sub HP 545xx (1 yr) DCV IEEE /9500
  1.068  JMPL         CHANNEL_2_DC_OFFSET

  1.069  LABEL        CHANNEL_3_DC_VOLTAGE
  1.070  MATH         @Chan = 3
  1.071  CALL         Sub HP 545xx (1 yr) DCV IEEE /9500
  1.072  JMPL         CHANNEL_3_DC_OFFSET

  1.073  LABEL        CHANNEL_4_DC_VOLTAGE
  1.074  MATH         @Chan = 4
  1.075  CALL         Sub HP 545xx (1 yr) DCV IEEE /9500
  1.076  JMPL         CHANNEL_4_DC_OFFSET

  1.077  LABEL        CHANNEL_1_DC_OFFSET
  1.078  MATH         @Chan = 1
  1.079  CALL         Sub HP 545xx (1 yr) DC Offset IEEE /9500
  1.080  JMPL         CHANNEL_1_ANALOG_BW

  1.081  LABEL        CHANNEL_2_DC_OFFSET
  1.082  MATH         @Chan = 2
  1.083  CALL         Sub HP 545xx (1 yr) DC Offset IEEE /9500
  1.084  JMPL         CHANNEL_2_ANALOG_BW

  1.085  LABEL        CHANNEL_3_DC_OFFSET
  1.086  MATH         @Chan = 3
  1.087  CALL         Sub HP 545xx (1 yr) DC Offset IEEE /9500
  1.088  JMPL         CHANNEL_3_ANALOG_BW

  1.089  LABEL        CHANNEL_4_DC_OFFSET
  1.090  MATH         @Chan = 4
  1.091  CALL         Sub HP 545xx (1 yr) DC Offset IEEE /9500
  1.092  JMPL         CHANNEL_4_ANALOG_BW

  1.093  LABEL        CHANNEL_1_ANALOG_BW
  1.094  MATH         @Chan = 1
  1.095  CALL         Sub HP 545xx (1 yr) Analog BW IEEE /9500
  1.096  JMPL         TIMEBASE

  1.097  LABEL        CHANNEL_2_ANALOG_BW
  1.098  MATH         @Chan = 2
  1.099  CALL         Sub HP 545xx (1 yr) Analog BW IEEE /9500
  1.100  JMPL         CHANNEL_2_TRIGGER_SENS

  1.101  LABEL        CHANNEL_3_ANALOG_BW
  1.102  MATH         @Chan = 3
  1.103  CALL         Sub HP 545xx (1 yr) Analog BW IEEE /9500
  1.104  JMPL         CHANNEL_3_TRIGGER_SENS

  1.105  LABEL        CHANNEL_4_ANALOG_BW
  1.106  MATH         @Chan = 4
  1.107  CALL         Sub HP 545xx (1 yr) Analog BW IEEE /9500
  1.108  JMPL         CHANNEL_4_TRIGGER_SENS

  1.109  LABEL        TIMEBASE
  1.110  MATH         @Chan = 1
  1.111  CALL         Sub HP 545xx (1 yr) Timebase IEEE /9500
  1.112  JMPL         CHANNEL_1_TRIGGER_SENS

  1.113  LABEL        CHANNEL_1_TRIGGER_SENS
  1.114  MATH         @Chan = 1
  1.115  CALL         Sub HP 545xx (1 yr) Trigger Sens. IEEE /9500
  1.116  JMPL         AUXILIARY_TRIGGER

  1.117  LABEL        CHANNEL_2_TRIGGER_SENS
  1.118  MATH         @Chan = 2
  1.119  CALL         Sub HP 545xx (1 yr) Trigger Sens. IEEE /9500
  1.120  JMPL         CHANNEL_3_INPUT_RESISTANCE

  1.121  LABEL        CHANNEL_3_TRIGGER_SENS
  1.122  MATH         @Chan = 3
  1.123  CALL         Sub HP 545xx (1 yr) Trigger Sens. IEEE /9500
  1.124  JMPL         CHANNEL_4_INPUT_RESISTANCE

  1.125  LABEL        CHANNEL_4_TRIGGER_SENS
  1.126  MATH         @Chan = 4
  1.127  CALL         Sub HP 545xx (1 yr) Trigger Sens. IEEE /9500
  1.128  JMPL         END

  1.129  LABEL        AUXILIARY_TRIGGER
  1.130  MATH         @Chan = 1
  1.131  CALL         Sub HP 545xx (1 yr) AUX Trigger IEEE /9500
  1.132  JMPL         CHANNEL_2_INPUT_RESISTANCE

  1.133  LABEL        END
  1.134  HEAD
  1.135  RSLT         =
  1.136  IEEE         SYST:DSP "5452xA/C Verification Done"
  1.137  IEEE         [GTL]
  1.138  DISP         Remove all connections from the UUT.

  1.139  IF           @Abort
  1.140  DISP         {V E R I F I C A T I O N  A B O R T E D !}
  1.141  ELSE
  1.142  DISP         {V E R I F I C A T I O N  C O M P L E T E !}
  1.143  ENDIF

  1.144  END
